/**
* Abstrakte Oberklasse fuer ein Auto mit Ausstattung.
*/
public abstract class Auto
{
  /**
  * Ausstattung des Autos:
  * Automatik, Klimaanlage, Navigationssystem,
  * Parksystem, Winterreifen.
  */
  private Ausstattung ausstattung;
  
  /**
  * Mietgrundpreis des Autos pro Tag in Euro.
  */
  private int grundPreis = 0;
  
  /**
  * Vierstellinge Endzahl fuer Kennzeichen,
  * wird mit jedem Kauf eines Wagens weitergezaehlt.
  */
  private static int nummer = 1000;
  
  /**
  * Neues Kennzeichen eines Autos,
  * setzt sich aus L-RA- und vierstellinger Endzahl
  * zusammen.
  */
  private String kennZeichen = "L-RA-";
  
  /**
  * Konstruktor,
  * legt neues Kennzeichen fest,
  * setzt Ausstattung und Mietgrundpreis.
  * @param ausstattung Ausstattung des Autos
  * @param grundPreis Grundpreis pro Tag in Euro
  */
  public Auto( Ausstattung ausstattung, int grundPreis)
  {

  }
  
  /**
  * Bestimmt den Wagentyp.
  * @return Wagentyp:
  *      "Kleinwagen" "Mittelklassewagen" "Oberklassewagen"
  */
  public String getTyp()
  {

  }
  
  /**
  * Liest Kennzeichen eines Autos.
  * @return L-RA-nnnn
  */
  public String getKennZeichen()
  {

  }
  
  /**
  * Reifen werden neu aufgezogen.
  * @param winter true,  falls es Winterreifen sind
  *               false, falls es Sommerreifen sind
  */
  public void reifenWechsel( boolean winter )
  {

  }

  /**
  * Berechnet den Mietpreis in Abhaenigkeit vom Mietgrundpreis
  * und von dem Ausstattungsgesamtzuschlag.
  * @return Mietpreis pro Tag in Euro
  */
  public int berechneMietPreis()
  {

  }
  
  /**
  * Gibt als String zurueck:
  * Kennzeichen, Wagentyp,
  * vorhandene Ausstattung und Mietpreis.
  * @return Autobeschreibung
  */
  public String toString()
  {

  }

  /**
  * Testprogramm:
  * Erzeugt 6 Testautos, fuehrt einen Reifenwechsel durch
  * und gibt deren Autobeschreibung auf der Konsole aus.
  */
  public static void main( String[] args )
  {

  }
}
  