import Tools.IO.*;                              // Eingaben
import java.util.*;                           // LinkedList

/**
* Verwaltung eines Fuhrparks einer Autovermietung.
*/
public class Fuhrpark
{
  /**
  * Alle zur Vermietung freien Autos befinden sich
  * auf dem Parkplatz.
  */
  private Parkplatz parkplatz;
  
  /**
  * Alle vermieteten Autos befinden sich auf der Strasse.
  */
  private Strasse strasse;
  
  /**
  * Alle zurueckgegebenen Autos werden in der Werkstatt
  * gewartet.
  */
  private Werkstatt werkstatt;
  
/* ------------------------------------------------------ */

  /**
  * Konstruktor,
  * richtet Parkplatz, Strasse und Werkstatt ein.
  */
  public Fuhrpark()
  {

  }
  
/* ------------------------------------------------------ */

  /**
  * Verwaltungsprogramm:
  * Richtet Fuhrpark ein,
  * ermoeglicht die Ausfuehrung von Auftraegen und
  * ermoeglicht die Anzeige der Autos an den Orten.
  * Verwendet Menue "Anzeige Auftrag"
  * und Menue "Anzeige Ort".
  */
  public static void main( String[] args )
  {

  }
  
/* ------------------------------------------------------ */

  /**
  * Menue "Anzeige Ort",
  * ermoeglicht die Auswahl eines Ortes und
  * zeigt die Autos vor Ort auf der Konsole an.
  * Orte: "Parkplatz", "Strasse", "Werkstatt".
  * @return  0 weiter
  *         -1 Programm beenden
  */
  public int menueAnzeigeOrt()
  {

  }

  /**
  * Menue "Anzeige Auftrag",
  * ermoeglicht die Auswahl eines Auftrages und
  * veranlasst dessen Ausfuehrung:
  * "Neues Auto"             : auftragNeuesAuto()
  * "Vermieten"              : auftragVermieten()
  * "Strasse -> Werkstatt"   : auftragWerkstatt()
  * "Werkstatt -> Parkplatz" : auftragParkplatz()
  * "Verschrotten"           : auftragVerschrotten()
  * @return  0  weiter
  *         -1 Programm beenden
  */
  public int menueAnzeigeAuftrag()
  {

  }
  
/* ------------------------------------------------------ */
// Neues Auto
  
  /**
  * Auftrag "Neues Auto",
  * ermoeglicht die Auswahl eines Autos und
  * stellt es auf den Parkplatz ab.
  * Verwendet Menue "Neues Auto".
  */
  private void auftragNeuesAuto()
  {

  }
  
  /**
  * Menue "Neues Auto",
  * erfasst Wagentyp, Ausstattung und Grundpreis.
  * Verwendet Menue "Ausstattung".
  * @return neues Auto
  */
  private Auto menueNeuesAuto()
  {

  }
  
  /**
  * Menue "Ausstattung",
  * erfragt die Ausstattung eines neuen Autos:
  * "Automatik" "Klimaanlage" "Navigationssystem"
  * "Parksensoren" "Winterreifen",
  * erzeugt entsprechende Ausstattung und
  * registriert Besonderheiten der Ausstattung.
  * Verwendet Menue "Neues Auto".
  * @return Ausstattung
  */
  private Ausstattung menueAusstattung()
  {

  }
  
/* ------------------------------------------------------ */
// Vermieten

  /**
  * Auftrag "Vermieten",
  * eine zu vermietendes Auto wird ausgewaehlt
  * und vom Parkplatz auf die Strasse geschickt.
  * Verwendet Menue "Auswahl Auto".
  */
  private void auftragVermieten()
  {

  }

// Strasse -> Werkstatt

  /**
  * Auftrag "Strasse -> Werkstatt",
  * ein zurueckgegebenes Auto kommt zur Wartung
  * in die Werkstatt.
  * Verwendet Menue "Auswahl Auto".
  */
  private void auftragWerkstatt()
  {

  }
  
// Werkstatt -> Parkplatz

  /**
  * Auftrag "Werkstatt -> Parkplatz",
  * ein Auto wird von der Werkstatt auf den Parkplatz
  * zurueck zur Vermietung gefahren.
  * Verwendet Menue "Auswahl Auto".
  */
  private void auftragParkplatz()
  {

  }

// Verschrotten

  /**
  * Auftrag "Verschrotten",
  * ein Auto wird verschrottet.
  * Verwendet Menue "Auswahl Auto".
  */
  private void auftragVerschrotten()
  {

  }

  /**
  * Menue "Auswahl Auto",
  * alle Autos vor Ort werden angezeigt
  * und ein Auto ueber dessen Kennzeichen ausgewaehlt.
  * @param ort Ort
  * @return ausgewaehltes Auto
  *         null, falls kein Auto da oder Kennzeichen falsch
  */
  private Auto auswahlAuto( Ort ort)
  {

  }
}